#
# spec file for package xorg-x11-driver-input
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           xorg-x11-driver-input
#!BuildIgnore:  xorg-x11-Mesa xorg-x11-Mesa-devel
BuildRequires:  Mesa-devel pkgconfig xorg-x11-proto-devel xorg-x11-server-sdk
Url:            http://xorg.freedesktop.org/
Version:        7.4
Release:        13.54.1
License:        X11/MIT
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Group:          System/X11/Servers/XF86_4
Requires:       hal 
Requires:       xkeyboard-config >= 1.5
Provides:       xorg-x11-server:/usr/X11R6/%{_lib}/modules/input/mouse_drv.so x11-input-synaptics
Requires:       INPUT_ABI_VERSION = 4
Obsoletes:      x11-input-synaptics
Supplements:    xorg-x11-server
Summary:        X.Org input drivers
ExcludeArch:    s390 s390x
Source0:        xf86-input-acecad-1.3.0.tar.bz2
Source1:        xf86-input-aiptek-1.2.0.tar.bz2
Source2:        xf86-input-calcomp-1.1.2.tar.bz2
Source3:        xf86-input-citron-2.2.2.tar.bz2
Source4:        xf86-input-digitaledge-1.1.1.tar.bz2
Source5:        xf86-input-dmc-1.1.2.tar.bz2
Source6:        xf86-input-dynapro-1.1.2.tar.bz2
Source7:        xf86-input-elo2300-1.1.2.tar.bz2
Source8:        xf86-input-elographics-1.2.3.tar.bz2
Source10:       xf86-input-fpit-1.3.0.tar.bz2
Source11:       xf86-input-hyperpen-1.3.0.tar.bz2
Source12:       xf86-input-jamstudio-1.2.0.tar.bz2
Source13:       xf86-input-joystick-1.4.1.tar.bz2
Source14:       xf86-input-keyboard-1.3.2.tar.bz2
Source15:       xf86-input-magellan-1.2.0.tar.bz2
Source16:       xf86-input-magictouch-7f90f6a.tar.bz2
Source17:       xf86-input-microtouch-1.2.0.tar.bz2
Source18:       xf86-input-mouse-1.4.0.tar.bz2
Source19:       xf86-input-mutouch-1.2.1.tar.bz2
Source20:       xf86-input-palmax-1.2.0.tar.bz2
Source21:       xf86-input-penmount-1.4.0.tar.bz2
Source22:       xf86-input-spaceorb-1.1.1.tar.bz2
Source23:       xf86-input-summa-1.2.0.tar.bz2
Source24:       xf86-input-tek4957-1.2.0.tar.bz2
Source25:       xf86-input-ur98-X11R7.1-1.1.0.tar.bz2
Source26:       xf86-input-vmmouse-12.7.0.tar.bz2
Source27:       xf86-input-void-1.2.0.tar.bz2
Source28:       xf86-input-diamondtouch-0.3.0.tar.bz2
Source29:       xf86-input-synaptics-1.1.3.tar.bz2
Source30:       xf86-input-evdev-2.2.5.tar.bz2
Source31:       11-x11-synaptics.fdi
Source32:       11-mouse.fdi
Source33:       11-x11-adder-kvm.fdi
Source34:       11-x11-elo.fdi
Source35:       12-x11-atmel.fdi
Patch2:         xf86-input-jamstudio.diff
Patch3:         p_mouse_misc.diff
Patch17:        xf86-input-elo2300-1.1.2-commit-cc77936.diff
Patch19:        xf86-input-microtouch-1.2.0-commit-81435d3.diff
Patch23:        wait.diff
Patch24:        xf86-input-synaptics-settings.diff
Patch25:        xf86-input-calcomp.diff
Patch27:        xf86-input-digitaledge.diff
Patch28:        xf86-input-dmc.diff
Patch29:        xf86-input-dynapro.diff
Patch30:        xf86-input-magellan.diff
Patch31:        xf86-input-magictouch.diff
Patch32:        xf86-input-palmax.diff
Patch33:        xf86-input-spaceorb.diff
Patch34:        xf86-input-summa.diff
Patch35:        xf86-input-tek4957.diff
Patch36:        xf86-input-ur98.diff
Patch37:        synaptics-retry-serial-open.diff
Patch38:        xf86-input-synaptics-multi-screen-fix.diff
Patch39:        xf86-input-synaptics-clickpad.diff
Patch40:        synaptics-robust-reconnect.diff
Patch41:        synaptics-filter-bogus-coord.diff
Patch42:        xf86-input-synaptics-64bit-fix.diff
Patch43:        xf86-input-synaptics-fix-clickpad-capabilities.diff
Patch44:        xf86-input-synaptics-resolution-fix.diff
Patch45:        xf86-input-synaptics-move-threshold.diff
Patch46:        xf86-input-synaptics-clickpad-threshold.diff
Patch47:        xf86-input-evdev-899218e.diff
Patch48:        xf86-input-evdev-225-readd-devicescan.patch
Patch49:        xf86-input-synaptics-clickpad-fix-detect.diff
Patch50:        u_input-elographics-Prevent-the-elographics-driver-from-SIGABRTing-in-shutdown.patch
Patch51:        U_vmmouse-enable-hardware-access.patch
Patch52:        n_evdev-cooltouch-fixes.diff
Patch53:        n_evdev-increase-valuators.diff
Patch54:        n_evdev-swap-yz-option.diff
Patch55:        U_01-Revamp-the-whole-has_axes-definition.patch
Patch56:        U_02-Add-explicit-options-to-ignore-relative-or-absolute-axes.patch
Patch57:        U_03-Convert-IgnoreAbsolute-RelativeAxes-options-into-trinary-state.patch
Patch58:        U_04-Fix-typo-use-uppercase-like-the-other-messages.patch
Patch59:        U_05-Use-X_PROBED-instead-of-X_INFO-for-probed-values.patch

%description
This package contains X.Org input drivers.



%prep
%setup -q -c     -a1  -a2  -a3  -a4  -a5  -a6  -a7  -a8      -a10
%setup -q -D -T -a11 -a12 -a13 -a14 -a15 -a16 -a17 -a18 -a19 -a20
%setup -q -D -T -a21 -a22 -a23 -a24 -a25 -a26 -a27 -a28 -a29
%setup -q -D -T -a30
#for i in $RPM_SOURCE_DIR/*.tar.bz2; do tar xjf $i; done
pushd xf86-input-jamstudio-*
%patch2
popd
pushd xf86-input-mouse-*/src
%patch3 -p6
popd
pushd xf86-input-evdev-*
%patch47 -p0
%patch48 -p1
%patch52 -p1
%patch53 -p1
%patch54 -p1
%patch55 -p2
%patch56 -p2
%patch57 -p2
%patch58 -p2
%patch59 -p2
popd
pushd xf86-input-elo2300-*
%patch17 -p1
popd
cd xf86-input-elographics-*
%patch50 -p3
cd -
pushd xf86-input-microtouch-*
%patch19 -p1
popd
pushd xf86-input-synaptics-*
%patch23 -p0
%patch24 -p0
%patch37 -p1
%patch38 -p1
%patch39 -p1
%patch40 -p1
%patch41 -p1
%patch42 -p1
%patch43 -p1
%patch44 -p1
%patch45 -p1
%patch46 -p1
%patch49 -p1
popd
pushd xf86-input-calcomp-*
%patch25 -p1
popd
pushd xf86-input-digitaledge-*
%patch27 -p1
popd
pushd xf86-input-dmc-*
%patch28 -p1
popd
pushd xf86-input-dynapro-*
%patch29 -p1
popd
pushd xf86-input-magellan-*
%patch30 -p1
popd
pushd xf86-input-magictouch-*
%patch31 -p1
popd
pushd xf86-input-palmax-*
%patch32 -p1
popd
pushd xf86-input-spaceorb-*
%patch33 -p1
popd
pushd xf86-input-summa-*
%patch34 -p1
popd
pushd xf86-input-tek4957-*
%patch35 -p1
popd
pushd xf86-input-ur98-*
%patch36 -p1
popd
pushd xf86-input-vmmouse-*
%patch51 -p1
popd

%build
%ifarch %ix86 x86_64
for dir in $(ls); do
%else
for dir in $(ls | grep -v -e xf86-input-vmmouse); do
%endif
  pushd $dir
    case $dir in
      xf86-input-joystick-* | \
       xf86-input-vmmouse-*) autoreconf -fi ;;
                          *) ;;
    esac
    ./configure CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" \
                --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir}
    make
  popd
done

%install
%ifarch %ix86 x86_64
for dir in $(ls); do
%else
for dir in $(ls | grep -v -e xf86-input-vmmouse); do
%endif
    case $dir in
      xf86-input-mouse-*) make -C $dir install DESTDIR=$RPM_BUILD_ROOT ;;
                       *) make -C $dir install DESTDIR=$RPM_BUILD_ROOT ;;
    esac
done
rm $RPM_BUILD_ROOT/usr/include/diamondtouch/ee_defs.h
mkdir -p $RPM_BUILD_ROOT/usr/share/hal/fdi/policy/10osvendor
mkdir -p $RPM_BUILD_ROOT/usr/share/hal/fdi/policy/20thirdparty
install -m 644 $RPM_SOURCE_DIR/11-x11-synaptics.fdi \
  $RPM_BUILD_ROOT/usr/share/hal/fdi/policy/10osvendor
install -m 644 $RPM_SOURCE_DIR/11-mouse.fdi \
  $RPM_BUILD_ROOT/usr/share/hal/fdi/policy/20thirdparty
install -m 644 $RPM_SOURCE_DIR/11-x11-adder-kvm.fdi \
  $RPM_BUILD_ROOT/usr/share/hal/fdi/policy/10osvendor
install -m 644 $RPM_SOURCE_DIR/11-x11-elo.fdi \
  $RPM_BUILD_ROOT/usr/share/hal/fdi/policy/10osvendor
install -m 644 $RPM_SOURCE_DIR/12-x11-atmel.fdi \
  $RPM_BUILD_ROOT/usr/share/hal/fdi/policy/10osvendor

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%dir /usr/share/hal
%dir /usr/share/hal/fdi
%dir /usr/share/hal/fdi/policy
%dir /usr/share/hal/fdi/policy/10osvendor
%dir /usr/share/hal/fdi/policy/20thirdparty
%ifarch %ix86 x86_64
%dir /lib/udev
%dir /lib/udev/rules.d
/lib/udev/rules.d/69-xorg-vmmouse.rules
%endif
/usr/include/xorg/evdev-properties.h
/usr/include/xorg/joystick-properties.h
/usr/include/xorg/synaptics-properties.h
/usr/include/xorg/synaptics.h
/usr/%{_lib}/pkgconfig/xorg-evdev.pc
/usr/%{_lib}/pkgconfig/xorg-joystick.pc
/usr/%{_lib}/pkgconfig/xorg-synaptics.pc
/usr/%{_lib}/xorg/modules/input/
%{_mandir}/man1/*
%{_mandir}/man4/*
/usr/bin/syn*
%ifarch %ix86 x86_64
%dir /usr/%{_lib}/hal
/usr/bin/vmmouse_detect
/usr/%{_lib}/hal/hal-probe-vmmouse
/usr/share/hal/fdi/policy/20thirdparty/11-x11-vmmouse.fdi
%endif
/usr/share/hal/fdi/policy/10osvendor/11-x11-synaptics.fdi
/usr/share/hal/fdi/policy/20thirdparty/11-mouse.fdi
/usr/share/hal/fdi/policy/10osvendor/11-x11-adder-kvm.fdi
/usr/share/hal/fdi/policy/10osvendor/11-x11-elo.fdi
/usr/share/hal/fdi/policy/10osvendor/12-x11-atmel.fdi

%post
if [ $1 -gt 0 ] ; then
  if [ -x %_libdir/hal/hald-generate-fdi-cache ] ; then
    %_libdir/hal/hald-generate-fdi-cache 2>/dev/null || :
  fi
fi

%changelog
* Wed May 27 2015 eich@suse.com
- Add FDI files for Elographics and Atmel touch screens:
  11-x11-elo.fdi
  12-x11-atmel.fdi
  (bsc#863946, bsc#924142)
* Mon Apr 14 2014 eich@suse.com
- Add support for IgnoreAbsoluteAxes and IgnoreRelativeAxes
  * U_01-Revamp-the-whole-has_axes-definition.patch
  * U_02-Add-explicit-options-to-ignore-relative-or-absolute-axes.patch
  * U_03-Convert-IgnoreAbsolute-RelativeAxes-options-into-trinary-state.patch
  * U_04-Fix-typo-use-uppercase-like-the-other-messages.patch
  * U_05-Use-X_PROBED-instead-of-X_INFO-for-probed-values.patch
  FATE#316840, bnc#869084
* Mon Apr 14 2014 eich@suse.com
- Removed evdev_old. This gets rid of:
  * xf86-input-evdev-1.1.5.tar.bz2
  * xf86-input-evdev-btn-touch.diff
  * xf86-input-evdev-commit-eeb3727.diff
  * xf86-input-evdev-max_fixes.diff
  * xf86-input-evdev-sig11-bug416043.diff
  * xf86-input-evdev-sig11-bug437651.diff
  * xf86-input-evdev-xf86DeleteInput.diff
  * xf86-input-evdev.diff
* Mon Oct 28 2013 tiwai@suse.de
- Fixes for Atmtel touchscreen on HP ODIE (bnc#793727):
  * n_evdev-cooltouch-fixes.diff: Refreshed to force touchscreen
    mode
  * n_evdev-increase-valuators.diff: Increase MAX_VALUATORS for
    avoiding the crash due to too many axes
  * n_evdev-swap-yz-option.diff: A new option to swap Y and Z axes
* Thu Apr 11 2013 tiwai@suse.de
- n_evdev-cooltouch-fixes.diff:
  Better support for CoolTouch touchscreen device (bnc#814831)
* Thu Jun 28 2012 msrb@suse.cz
- U_vmmouse-enable-hardware-access.patch instead of xf86-input-vmmouse-iopl.diff:
  * Fixes bnc#625041 in better way, not causing bnc#743401.
* Tue Jan  3 2012 jreidinger@suse.com
- xf86-input-vmmouse-iopl.diff (reverse applied)
  * readd iopl(3) call (bnc #604966) (for SP2 bnc#739169)
* Tue Oct 11 2011 eich@suse.com
- u_input-elographics-Prevent-the-elographics-driver-from-SIGABRTing-in-shutdown.patch:
  When freeing the private member of the InputInfoRec it should be zeroed
  so that xf86DeleteInput() doesn't try to free it also. Furthermore a
  data structure that's passed on to xf86DeleteInput() (ie the inputInfoRec)
  should not be freed before the call to said function. Since this function
  will free this structure anyway there's no need for the elographics driver
  to free it also. (bnc #709519).
* Fri Sep 30 2011 tiwai@suse.de
- fix synaptics clickpad detection with SP2 kernel (bnc#721437)
* Thu Jun 16 2011 sndirsch@novell.com
- updated xf86-input-vmmouse driver to release 12.7.0 (bnc #681027,
  FATE #311982)
* Wed Mar 16 2011 mhopf@novell.com
- xf86-input-evdev-225-readd-devicescan.patch
  Add device scanning back to evdev driver (bnc #670465)
* Fri Nov  5 2010 sndirsch@novell.com
- xf86-input-evdev-899218e.diff
  * fix sluggish touchscreen (bnc #642848, bfo #29428)
* Wed Aug 25 2010 tiwai@suse.de
- yet more fix for the previous "bogus-packet filter" patch
  (bnc#624356)
- improved the resolution adjustment, not to be too sensitive
  (bnc#618373)
- improved the clickpad behavior; now the pointer can be moved
  even in the touch-button area, but with a threshold for moving
  so that user can still click accurately.
- avoid pointer jumps by multi-finger touches
- fix 64bit incompatibility
- fix right/middle-button capabilities (bnc#620328)
* Fri Jul 23 2010 tiwai@suse.de
- fix the previous patch for some hardwares sending wrong
  wrong coordinates for button events (bnc#624356)
* Wed Jul 21 2010 tiwai@suse.de
- filter out bogus coordinates that screw up the cursor position
  in synaptics driver (bnc#624356)
* Mon Apr 26 2010 tiwai@suse.de
- make reconnection check more robust for not reacting to false
  events (bnc#597980)
* Fri Apr 23 2010 tiwai@suse.de
- Fix mis-detection of clickpad on MacBook (bnc#599219)
* Mon Mar 29 2010 tiwai@suse.de
- Double-tapping to toggle touchpad control on LED instead of
  single-tap (bnc#591577,bnc#592152)
- Fix touchpadoff property update via tap-toggling (bnc#592151)
* Mon Mar 22 2010 tiwai@suse.de
- Move Clickpad event handling to X11 synaptisc driver;
  the older kernel still works as is (bnc#582529,bnc#589014)
- Sync Clickpad LED control using evdev events separately
- Add TouchButtonArea parameter to synclient
* Mon Mar 15 2010 tiwai@suse.de
- xf86-input-synaptics-multi-screen-fix.diff: workaround of
  synaptics driver for multi-screen setup (bnc#574983)
  This fixes also bnc#576990.
* Mon Feb  8 2010 mhopf@novell.com
- synaptics-retry-serial-open.diff:
  Increase number of reconnect tries after S3/S4.
  Don't retry unless it had been successful at least once, though.
  (bnc #573644,569340,573642)
* Wed Feb  3 2010 mhopf@novell.com
- synaptics-retry-serial-open.diff completely reworked:
  Reprobe /dev/input/event* devices always upon DeviceOn,
  check for race with kernel reassigning devices.
  (bnc #573644,569340,573642)
* Mon Feb  1 2010 mhopf@novell.com
- synaptics-retry-serial-open.diff by Takashi:
  Wait for synaptics device to settle upon DeviceOn
  (bnc #573644,569340,573642)
* Wed Nov 18 2009 sndirsch@suse.de
- This xorg-x11-driver-input package update is part of the X stack
  update for SLE11-SP1 (FATE #307236)
* Sun Nov  1 2009 sndirsch@suse.de
- 11-mouse.fdi: disabled horizontal wheel scrolling (XAxisMapping)
  on IBM Trackpoint (bnc #550164)
* Wed Sep 23 2009 sndirsch@suse.de
- simplified 11-x11-synaptics.fdi (bnc #540591)
* Fri Sep  4 2009 sndirsch@suse.de
- 11-x11-synaptics.fdi:
  * register synaptics driver for 'ETPS/2 Elantech Touchpad'
    (bnc #525607)
* Fri Aug 21 2009 sndirsch@suse.de
- xf86-input-evdev 2.2.5
  * Only take the driver-internal button mapping to count buttons
    (bfo #23405)
* Fri Aug  7 2009 sndirsch@suse.de
- xf86-input-vmmouse 12.6.5
  * Compile with INPUT ABI 7.
  * Remove ModuleInfoRec and associated bits.
  * Needed by newer X servers, otherwise the module data is
    invisible and a dlopen error occurs.
  * Turn off built-in fallback-to-mouse-driver mechanism.
* Thu Aug  6 2009 sndirsch@suse.de
- xf86-input-evdev 2.2.4
  * Fixing a regression introduced with 2.2.3. The fix to
    Bug #21832 in 2.2.3 prevented Alps touchpads from working
    with the evdev driver. These touchpads announce both
    relative and absolute axes, events from the latter get
    ignored with the fix to 21832. The fix special-cases
    touchpad initialization to give absolute axes precedence
    over relative if a touchpad or touchscreen is found. For
    more info see Bug #23126
* Mon Aug  3 2009 sndirsch@suse.de
- xf86-input-synaptics 1.1.3
  * A single patch addressing the loss of the right scrolling area
    on certain touchpads. This issue is caused by the driver
    auto-scaling the right edge but not respecting the proportions
    of the actual touchpad range. Please see the comments for Bug
    21001 for more details.
* Thu Jul 30 2009 sndirsch@suse.de
- xf86-input-evdev 2.2.3
  * Long overdue, another release of evdev 2.2. Expect this to be
    the last 2.2 release unless some grave issues are discovered.
* Thu Jul  9 2009 sndirsch@suse.de
- 11-mouse.fdi
  * enable IBM trackpoint's "middle button" for scrolling
    (bnc #520016)
* Thu May 28 2009 sndirsch@novell.com
- xf86-input-synaptics 1.1.2
  * One patch that should have made it into 1.1.1 but didn't.
    Jeremy's patch adds model-specific edges for appletouch
    touchpads in the same fashion as we already do for ALPS
    and synaptics pads.
* Thu May 21 2009 sndirsch@suse.de
- xf86-input-synaptics 1.1.0
  * avoiding allocations during the signal handler.
  * several 64 bit property issues with synclient
  * The driver tries to detect the touchpad model and adjusts the
    edge values accordingly. This addresses issues where edge
    scrolling appeared to be broken on certain touchpad models
    (ALPS, appletouch) due to incorrect RightEdge values.
* Tue May 12 2009 sndirsch@suse.de
- xf86-input-vmmouse 12.6.4
  * Fix bug where motion notify events were being sent with every
    button event.
* Wed May  6 2009 sndirsch@suse.de
- added 'Supplements: xorg-x11-server'
* Thu Apr 30 2009 sndirsch@suse.de
- instead of providing do require INPUT_ABI_VERSION to fix
  dependancy loop
* Thu Apr 30 2009 sndirsch@suse.de
- require xkeyboard-config >= 1.5
- provide INPUT_ABI_VERSION = 4 (required by xorg-x11-server)
* Thu Apr 30 2009 sndirsch@novell.com
- xf86-input-evdev-2.2.2
  * Three fixes to avoid deadlocks, two of which caused by allocs
    during SIGIO handling.
* Wed Apr 29 2009 sndirsch@suse.de
- xf86-input-citron 2.2.2
- obsoletes xf86-input-citron.diff
* Wed Apr 15 2009 sndirsch@suse.de
- xf86-input-joystick 1.4.1
  * Incompatible with xorg-server master. Configure fails for
    xorg-server >= 1.6.99.
  * Some fresh float properties.
  * "PWM" mode for keygeneration when axis is set to accelerated.
* Wed Mar 25 2009 sndirsch@suse.de
- xf86-input-evdev 2.2.1
  * A set of fixes to make touchpads work nicely again. Fix to
    enable key repeat for server 1.5 + evdev 2.2.
* Fri Mar 20 2009 sndirsch@suse.de
- 11-mouse.fdi
  * HAL .fdi file for previous SaX2 mouse autoconfiguration
* Mon Mar  9 2009 sndirsch@suse.de
- xf86-input-synaptics 1.1.0
  * man: device properties are now supported, should be stated as
    such. This includes listing supported properties and
    de-emphasizing the need for SHM.
  * man: remove some pointless ( and ) around "float" options.
- xf86-input-evdev 2.2.0
  * Fix duplicate wheel button up mapping.
  * Check button label before fetching the Atom from the server
    (bfo #20524)
  * Define MAX_VALUATORS if it's missing to allow for builds
    against 1.5.
- no longer exclude vmmmouse HAL files
* Sun Mar  8 2009 sndirsch@suse.de
- added synaptics .fdi file for HAL configuration support
* Thu Mar  5 2009 sndirsch@suse.de
- xf86-input-synaptics 1.0.99.4
  * 1.0.99.3 crashes on 64 bit machines. This is caused by
    different struct sizes in the server and the driver,
    due to a missing #define. Fixed now, please test.
* Wed Mar  4 2009 sndirsch@suse.de
- xf86-input-synaptics 1.0.99.3
  * Another snapshot before the release since a number of fixes
    went into this one. Most notably, syndaemon updated to use
    device properties by default. And a fix that caused synclient
    with properties to fail on 64-bit machines.
* Mon Mar  2 2009 sndirsch@suse.de
- xf86-input-evdev 2.1.99.1
* Fri Feb 27 2009 sndirsch@suse.de
- xf86-input-synaptics 1.0.99.2
- evdev 2.1.3
- fixed build for various drivers
- xf86-input-synaptics-settings.diff
  * enables tapping
  * enables vertical scrolling
  * fixed typo (vertScrollDelta <--> horizScrollDelta)
* Fri Feb 27 2009 sndirsch@suse.de
- xf86-input-hyperpen 1.3.0
* Thu Feb 26 2009 sndirsch@suse.de
- xf86-input-mouse 1.4.0
- adjusted p_mouse_misc.diff
* Thu Feb 26 2009 sndirsch@suse.de
- xf86-input-acecad 1.3.0
- xf86-input-aiptek 1.2.0
- xf86-input-elographics 1.2.3
- xf86-input-fpit 1.3.0
- xf86-input-joystick-1.4.0
- xf86-input-keyboard 1.3.2
  * obsoletes zap_warning_kbd.diff
- xf86-input-penmount 1.4.0
- xf86-input-synaptics 1.0.0
  * obsoletes commit-3097bb3.diff
- xf86-input-vmmouse 12.6.3
- xf86-input-void 1.2.0
* Tue Feb 24 2009 sndirsch@suse.de
- added synaptics driver; added provides/obsolete for
  x11-input-synaptics
* Wed Jan 14 2009 mhopf@suse.de
- xf86-input-evdev-sig11-bug437651.diff
  Fix evdev segfault (bnc #437651)
* Mon Dec 22 2008 ro@suse.de
- add excludearch s390 s390x
* Fri Nov 21 2008 sndirsch@suse.de
- xf86-input-evdev-btn-touch.diff
  * remap touchscreen BTN_TOUCH events to button 0 (left mouse
    button) (bnc #447687)
* Tue Nov 18 2008 sndirsch@suse.de
- xf86-input-vmmouse 12.6.2 (bnc #445787)
  * fixes bnc #439664
  * obsoletes xf86-input-vmmouse.diff
* Thu Nov 13 2008 sndirsch@suse.de
- xf86-input-evdev-xf86DeleteInput.diff
  * This solves the double calling of xf86DeleteInput when
    cleaning up. Double freeing the same pointer twice makes the
    kernel SIGABRT us, killing the X server uglily. (Luc Verhaegen)
* Tue Oct 28 2008 sndirsch@suse.de
- back to xf86-input-vmmouse 12.5.1 (bnc #439664)
* Sat Oct 18 2008 sndirsch@suse.de
- xf86-input-vmmouse 12.5.2
  * Remove useless call to xf86AddModuleInfo
  * Properly set axis range and resolution for Server 1.5+
  * Change ZAxisMapping default to match main mouse driver.
- removed xf86-input-vmmouse-grab.diff (bnc #428203)
* Wed Oct 15 2008 sndirsch@suse.de
- xf86-input-microtouch-1.2.0-commit-81435d3.diff
  * update to git commit 81435d3 (bnc #357800)
  - Check for XINPUT ABI 3.
  - Remove libc wrapper functions.
* Thu Oct  9 2008 sndirsch@suse.de
- xf86-input-elo2300-1.1.2-commit-cc77936.diff
  * update to git commit cc77936 (bnc #418637)
  - Check for XINPUT ABI 3
- xf86-input-elographics-1.2.2-commit-bf0e1bf.diff
  * update to git commit bf0e1bf (bnc #418637)
  - WaitForInput before trying to xf86EloGetPacket. (bfo #14109)
    Followup to 72408c2404246b9cb4698bd45be439be8ced3c23. This
    patch isn't perfect yet, usage of O_NONBLOCK would be
    preferred and some better error handling for incomplete
    packages, but at least it's less broken than without this
    patch.
  - Remove trailing whitespaces.
  - Remove XFREE_V4 define and all code that expects it to be
    unset. If you're still not running something more recent
    than X11 3, then you have other issues anyway.
  - Remove RCS tags.
  - Don't convert coordinates for servers 1.4 and above. These
    servers do the coordinate conversion themselves, so no need
    to do it in the driver.
  - Fix build, xf86Version.h -> xorgVersion.h
* Thu Oct  2 2008 sndirsch@suse.de
- xf86-input-mutouch 1.2.1
  * "mutouch 1.2.0 has issues with the current X server as it does
    not handle inverted axes (or handles them as inverted even
    when they aren't). This is fixed now, and I have anecdotal
    evidence that it even works."
* Mon Sep 29 2008 sndirsch@suse.de
- xf86-input-vmmouse-grab.diff
  * Grab mouse from kernel if possible. Avoids mouse event
    duplication if a mouse driver is sitting on /dev/input/mice
    on Linux. (bnc #428203)
* Thu Sep 11 2008 sndirsch@suse.de
- bumped release number to 7.4
* Mon Sep  8 2008 sndirsch@suse.de
- xf86-input-joystick 1.3.3
  * Fix check for BSD dev/usb/usbhid.h (needs dev/usb/usb.h).
  * Check for XINPUT ABI 3
  * Fix build. xf86Version.h -> xorgVersion.h
  * Added more examples for the x11_options properties of xorg-server-1.5
  * Remove stale comment
  * Adding empty ctrlProc to prevent crashing of X when running without XKB
  * Remove duplicated code in jstkInitKeys
  * Update man page concerning custom driver options through hal
* Mon Aug 11 2008 sndirsch@suse.de
- xf86-input-evdev-sig11-bug416043.diff
  * fixes occasional crashes when evdev is used as kbd driver
    (bnc #416043)
* Mon Aug  4 2008 sndirsch@suse.de
- updated fpit driver to git commit e8620e9
  * Check for XINPUT ABI 3; possibly addresses bnc #381278
- obsoletes xf86-input-fpit-commmit-95676d8.diff
* Wed Jul 30 2008 sndirsch@suse.de
- xf86-input-vmmouse.diff
  * make sure to call conversion_proc from within the driver, as
    Xserver no longer does
* Thu Jul  3 2008 sndirsch@suse.de
- updated xf86-input-magictouch to git commit 7f90f6a; required for
  xorg-server 1.5
* Wed Jun 25 2008 sndirsch@suse.de
- xf86-input-diamondtouch 0.3.0
  * "This driver is not part of the X.Org distribution. In the
    process of tying up loose ends, the DiamondTouch driver has
    been updated to compile against the current X server. The
    now-deprecated blob code has been disabled (albeit not removed).
    The driver now supports multi-device hotplugging through the
    option "NumDevices". This enables users to let the DT be
    hotplugged through HAL, but still create up to 4 devices in
    the X server to represent the required number of users."
* Fri Jun 13 2008 sndirsch@suse.de
- xf86-input-elographics 1.2.2
  * Check for XINPUT ABI 3.
* Fri May 23 2008 sndirsch@suse.de
- xf86-input-vmmouse 12.5.1
  * Compatibility with older versions of X
  * Don't call conversion_proc for older Xservers
* Thu May 22 2008 sndirsch@suse.de
- xf86-input-elo2300 1.1.2
  * Don't call xf86AddLocalDevice and xf86XInputSetSendCoreEvents.
  * Don't call xf86GetErrno(), instead use errno directly.
- xf86-input-elographics 1.2.1
  * Don't divide by zero. #14902
- xf86-input-keyboard 1.3.1
  * Don't send events in DEVICE_INIT, only after DEVICE_ON.
* Wed May 14 2008 sndirsch@suse.de
- specfile cleanup (Petr Mladek)
* Thu May  1 2008 sndirsch@suse.de
- xf86-input-fpit-commmit-95676d8.diff (possibly fixes bnc #381278)
  * Revert "Don't call xf86IsCorePointer." This reverts commit
    9ea880913d5775454311b0257bbaebf773cd4285.
  * Don't crash with xserver 1.4. xf86IsCorePointer() is gone.
  * Set is_core_pointer to 0 by default. Server 1.4 does not do
    physical core devices.
* Mon Apr 28 2008 sndirsch@suse.de
- xf86-input-joystick 1.3.2
  * Makefile.am: nuke RCS Id
  * Typo in man page
  * Increased default deadzone from 1000 to 5000
  * Added "StartMouseEnabled" and "StartKeysEnabled" options
  * Allow '+' as separator for key mapping as in "key=Alt_L+Tab"
  * Fixed off-by-one in keymap generation code
  * Clear complete keymap instead of only the first element
  * Fixed keymap rage to 8..255 to prevent crash in xorg-server-1.4
- specfile cleanup
* Sat Apr 19 2008 sndirsch@suse.de
- xf86-input-evdev-commit-eeb3727.diff
  * Don't flush buttons on init (bfo #12630, bnc #381543)
* Sat Mar 22 2008 sndirsch@suse.de
- xf86-input-calcomp 1.1.2
  xf86-input-digitaledge 1.1.1
  xf86-input-dmc 1.1.2
  xf86-input-dynapro 1.1.2
  xf86-input-elographics 1.2.0
  xf86-input-fpit 1.2.0
  xf86-input-hyperpen 1.2.0
  xf86-input-jamstudio 1.2.0
  xf86-input-keyboard 1.3.0
  xf86-input-magellan 1.2.0
  xf86-input-microtouch 1.2.0
  xf86-input-mouse 1.3.0
  xf86-input-mutouch 1.2.0
  xf86-input-palmax 1.2.0
  xf86-input-penmount 1.3.0
  xf86-input-summa 1.2.0
  xf86-input-tek4957 1.2.0
  xf86-input-vmmouse 12.5.0
  * changes required for upcoming Xserver 1.5
  * obsoletes p_kbd.diff, xf86-input-fpit-update1.diff,
    xf86-input-fpit-update2.diff, xf86-input-calcomp.diff
* Thu Mar 20 2008 sndirsch@suse.de
- zap_warning_kbd.diff
  * fix to stop kbd from attempting to terminate the xserver for
    the first and third time from the same event (FATE #302988,
    Luc Verhaegen)
* Sun Feb 10 2008 sndirsch@suse.de
- xf86-input-acecad 1.2.2
  * don't crash when xf86IsCorePointer is not defined
  * do our own scaling with USB device since it's not done in the
    kernel and ConverProc() isn't called automatically by X
  * set type_name to XI_TABLET
  * fake device limits == screen limits in xserver 1.4 for xinput
  * improve handling of botched input versions
  * fix blotchy input in Inkscape and the Gimp by not pretending
    to be the core pointer by default
* Fri Feb  8 2008 sndirsch@suse.de
- xf86-input-evdev-max_fixes.diff:
  * array indices off by 1 (bnc#359899)
* Fri Dec  7 2007 sndirsch@suse.de
- xf86-input-joystick 1.3.1
  * This release adds support for evdev devices (/dev/input/event*)
    but if this fails, the linux joystick interface is tried and,
    if available, the bsd usbhid interface (so in FreeBSD the linux
    joystick interface can be used now with the same binary). The
    evdev backend makes it possible to hotplug the joystick driver
    from hal; an example policy file is included in the tarball.
    Use with care.
* Fri Nov  2 2007 sndirsch@suse.de
- xf86-input-evdev.diff
  * rename Name/vendor options to eName/evendor (Bug #337822)
* Mon Oct 29 2007 sndirsch@suse.de
- xf86-input-joystick 1.3.0
  * xorg-server-1.4 with fixed input breaks key event generating in
    the 1.2 series resulting in crashing the xorg-server. This is
    fixed in the 1.3 series of the module but does not work with
    older versions of xorg-server.
  * Raised dependency of xorg-server to at least 1.3.99.901! Use
    1.2 series of the module for xorg-server < 1.3.99.901.
  * WARNING: Semantic of xorg.conf option changed: keys are no
    longer defined as scancodes but KeySyms (either number or
    symbolic name defined in /usr/include/X11/keysymdef.h). Refer
    to man joystick for more details.
  * Added AutoRepeat option to specify rate and delay for key
    events, independend of other keyboards.
* Wed Oct  3 2007 sndirsch@suse.de
- xf86-input-mouse 1.2.3
  * Bug #11089: xf86-input-mouse COPYING file
  * Bug #12145: Don't confine the pointer to one screen in zaphod
    mode.
* Sat Sep 29 2007 sndirsch@suse.de
- bumped version to 7.3
* Sat Sep 29 2007 sndirsch@suse.de
- xf86-input-vmmouse 12.4.3
  * updates to reflect the latest input ABI changes
  * adds an embedded version string in a .modinfo segment (when
    compiled with gcc) that can be read by the linux kernel
    'modinfo' tool.
  * fixes a global symbol collision with the svga driver
- xf86-input-evdev 1.1.5
  * input-hotplug support
* Thu Sep 20 2007 sndirsch@suse.de
- xf86-input-calcomp.diff
  * out of bounds warning (Bug #326967)
* Tue Sep 11 2007 sndirsch@suse.de
- xf86-input-elo2300 1.1.1
  * Compatibility release for inputproto 1.4
- xf86-input-magellan 1.1.1
  * Compatibility release for inputproto 1.4
- xf86-input-microtouch 1.1.1
  * Compatibility release for inputproto 1.4
- xf86-input-penmount 1.2.1
  * Compatibility release for inputproto 1.4
- xf86-input-spaceorb 1.1.1
  * Compatibility release for inputproto 1.4
* Mon Sep 10 2007 sndirsch@suse.de
- xf86-input-citron 2.2.1
  * Compatibility release for inputproto 1.4
- xf86-input-calcomp 1.1.1
  * Compatibility release for inputproto 1.4
- xf86-input-dynapro 1.1.1
  * Compatibility release for inputproto 1.4
* Sat Sep  8 2007 sndirsch@suse.de
- xf86-input-void 1.1.1
  * A quick xserver-1.4 compatibility release
* Thu Sep  6 2007 sndirsch@suse.de
- xf86-input-keyboard 1.2.2
  * This release fixes the driver for the new input-hotplug support
    in xserver 1.4.  The two interim releases (1.2.0 and 1.2.1)
    never got tagged and released, so this is the next version after
    1.1.1.
  * obsoletes xf86-input-keyboard.diff
- xf86-input-acecad 1.2.1
  * This release fixes the build with xserver 1.4.
- xf86-input-dmc 1.1.1
  * This release is a build fix for inputproto 1.4.
* Thu Aug 16 2007 sndirsch@suse.de
- updated to xf86-input-joystick to 1.2.3 release
  * Added section about valuators to manpage
  * Added hint about "SendCoreEvents" keyword to ServerLayout in
    manpage
  * Added "keylow" and "keyhigh" option to axes to generate key
    events when the axis is moved (i.e. to simulate arrow keys with
    a d-pad)
  * Key autorepeat added for axes with mode=relative and key
    mapping
  * Added example about mapping axes to keys to manpage
  * Store subpixel movement in axis struct instead of global
  * Fixed button mapping to an axis needing amplify value in
    xorg.conf
  * Added --enable-debug option to configure script (still default:
    enabled)
* Thu Aug  2 2007 sndirsch@suse.de
- updated xf86-input-mouse to 1.2.2 release
  * This release mainly fixes documentation bugs, and adds a
    "Sensitivity" option for high resolution mice.
* Mon Jul  9 2007 sndirsch@suse.de
- updated to xf86-input-joystick to 1.2.2 release
  * man page installs in section 4 instead of 4x
  * Additional valuator per axis reporting unmodified physical value to X
  * Makefile.am: Rule to autogenerate ChangeLog from git on make dist
  * Removed unnamed unions to compile again with gcc 2.95
  * Reporting correct amount of exported buttons to X
  * Added short note section to manpage
  * Removed abundant debugging messages that are no use for anybody
  * Button event is only generated when button actually changed
* Sun Apr 29 2007 sndirsch@suse.de
-  updated xf86-input-acecad to 1.2.0 release
  * Use autoconfigured package version if possible.
  * We always have config.h.
  * Uniformize messages.
  * Initial support for device autodetection.
  * Add autoconf check for linux/input.h
  * Add autogen.sh and autogenerate ChangeLog to dist
  * "Name" option to configure autodev detection string.
  * Device autodetection via sysfs.
  * Re-probe for device if DeviceOn fails and auto-dev is active.
  * Re-probe on device not found on input if auto-dev is active.
  * De-spammify AceCadAutoDevProbe().
  * Whitespace cleanup.
  * Add missing newlines in a couple of messages.
  * More coding style cleanups.
  * More whitespace cleanup.
  * Make acecadUSB into a flag.
  * Make acecadAutoDev into a flag.
  * NOTAVAIL macro to check if errno means device not available.
  * Keep track of device availability.
  * Centralize the success code for the probe routine.
  * More whitespace/coding style cleanups.
  * Simplify flag setup.
  * Bump to 1.2.0.
* Fri Apr 27 2007 sndirsch@suse.de
- updated xf86-input-acecad to 1.1.1 release
  * The main purpose of the update is to have the acecad input
    driver support 2.6.x kernels. Some initial cleanup is also done.
* Sat Apr 21 2007 sndirsch@suse.de
- updated joystick driver to release 1.2.1
  * jstkVersionRec: Use macros for module version. Fixes #10498
  * Check for Joystick API Version >=1 instead of >=2
  * Don't return NULL on jstCorePreInit fail, fixes X crash.
  * Fixed remaining opened filedescriptors, if ioctl fails
  * Fixed DEVICE_ON still returning Success on error opening
    device, resulting in a crash
  * Fixed wrong type in ioctl call for detecting buttons and axes
    resulting in endless loop on BSD with linux_js module
  * Typo in linux_jstk.c: Info about number of axes and buttons
    was interchanged
  * Fixed correct calculation of absolute axis position when
    centered
  * Added USB-HID backend for *BSD
  * Replaced xf86CheckXXXOption with xf86SetXXXOption, Fixed
    possible NULL pointer dereference in device remove
  * Wrapped enums and structs in typedefs
  * Fixed possible double close of device in case of error.
  * Considering JS_EVENT_INIT events as real events again
  * Fixed accelerated axis movement not working the first time
    after startup
* Tue Apr  3 2007 sndirsch@suse.de
- updated joystick driver to release 1.2.0:
  * Added man page
  * Moved to newer Joystick API: no more polling of the device
  * Support for up to 32 axes and 32 buttons
  * Smoother cursor movement
  * Joystick buttons can be freely mapped to
  - a mouse button
  - an axis direction
  - a series of keycodes to generate combinations of keystroke
    events
  - modify speed of other axis movements
  - disable the generation of mouse or key events
  * Axes can be freely mapped to: x, y, horizontal and vertical
    scrolling
  * Axes can be used in three modes: relative, accelerated,
    absolute
  * The deadzone and speed of every axis can be set
* Wed Mar 14 2007 sndirsch@suse.de
- updated joystick driver to release 1.1.1:
  * Bugfix release. Made the module work again after a long while
  * No features added. Improvements will follow in next releases
* Thu Mar  1 2007 sndirsch@suse.de
- xf86-input-fpit-update1.diff:
  * Make the docs reflect more accurately what the code actually
    does.
  * Update the docs: remove material specific to XFree86 3.x/4.0.
    Re-organize to reflect the wider variety of machines that
    use this device. Change the link to linuxslate.com. Expand
    troubleshooting section.
  * Code cleanup: assorted trivial changes.
- xf86-input-fpit-update2.diff:
  * Fix a bug that prevents active-pen users from right-clicking
    while hovering.
  * Bug was introduced with passive pen support; fix is simple and
    has been recommended in forums since Oct 2006
    (http://ubuntuforums.org/showpost.php?p=1620646&postcount=15).
    For some reason I don't see a bug report for the issue.
- xf86-input-fpit-update3.diff:
  * Adds support for detecting/responding to screen resize and
    rotate events (i.e., fixing bug 3421 for FPIT users). This
    corrects both cursor-related and extended events.
  * The fix is disabled unless the user adds 'Option "TrackRandR"'
    to the InputDevice section. This is to avoid breaking setups
    where some nightmarish workaround was already in place.
  * Use of RRGetRotation may break driver under XFree86. If this
    is a problem I think xf86GetRotation can be used instead.
* Wed Feb 28 2007 sndirsch@suse.de
- updated vmmouse driver to bugfix release 12.4.1:
  * Under certain circumstances, typically when the kernel PS/2
    driver decides to reset the PS/2 device, we can find ourselves
    in an inconsistent state between the vmmouse driver and the
    virtual hardware. When this is encountered, we should re-
    request absolute mode from the hardware to get back in sync.
* Thu Feb 22 2007 sndirsch@suse.de
- xf86-input-keyboard.diff:
  * fix key led update (Bug #103009 / X.Org Bug #313)
* Fri Feb 16 2007 sndirsch@suse.de
- downgraded evdev driver to release 1.1.3 (evdev >= 1.1.4 was
  not aimed for X.Org 7.2)
* Sun Dec 17 2006 sndirsch@suse.de
- updated evdev driver to release 1.1.5
  * Makefile.am: make ChangeLog hook safer
- updated aiptek sources to release 1.2 (X.Org Bug #5061)
* Tue Dec  5 2006 sndirsch@suse.de
- updated evdev driver to release 1.1.4
  * key: use os bell-ringing function. Use the OS bell-ringing
    function to ding the bell.
  * support new DIX motion history API. Use the DIX motion history
    if we have ABI version 1 or higher.
  * brain: call xf86DeleteInput when removing device. Call
    xf86DeleteInput from evdevRemoveDevice, so it also gets removed
    from xf86InputDevs in the DDX.
  * key: remove usage of OS keyboard layer for bell. Right now,
    bell is a no-op.
  * fix InitValuatorClassDeviceStruct call. "I don't know how the
    last parameter got there. Sorry."
  * pass maxval correctly to xf86InitValuatorAxisDeviceStruct.
    Pass a maxval of -1 (i.e., fill this in appropriately), rather
    than 0 (0).
  * pass number of axes to InitValuatorClassDeviceStruct. This is
    now required with the input-hotplug server.
  * prune device list on DEVICE_CLOSE. Remove a device from the
    device list when we get DEVICE_CLOSE.
  * remove XFree86LOADER usage. Build evdevModuleData, et al,
    unconditionally.
* Mon Nov 20 2006 sndirsch@suse.de
- moved mousedrv back to man4 directory (Bug #222582)
* Fri Nov 17 2006 sndirsch@suse.de
- mouse-readinput.diff:
  * fixed mouse driver crash (Bug #219946)
* Thu Oct 26 2006 sndirsch@suse.de
- evdev-overflow.diff:
  * fixed possible buffer overflow
* Sat Oct 14 2006 sndirsch@suse.de
- X.Org 7.2RC1 package update:
  * xf86-input-evdev-1.1.3
  * xf86-input-keyboard-1.1.1
  * /xf86-input-mouse-1.1.2
* Fri Sep  1 2006 sndirsch@suse.de
- removed Requires: xorg-x11-server, since xorg-x11-input-input is
  already required by xorg-x11-server, which resulted in a fatal
  dependancy cycle
* Sat Aug  5 2006 sndirsch@suse.de
- p_mouse_misc.diff:
  * patch to fix X server crashes with synaptics driver (Bug #61702)
- p_kbd.diff:
  * save us one second during Xserver start
* Thu Aug  3 2006 sndirsch@suse.de
- install mouse driver manual page to man4x subdirectory
* Mon Jul 31 2006 sndirsch@suse.de
- added splitprovides for mouse driver to make sure it gets
  installed during update
* Sat Jul 29 2006 sndirsch@suse.de
- fixed fatal compiler warnings
* Fri Jul 28 2006 sndirsch@suse.de
- use "-fno-strict-aliasing"
* Thu Jul 27 2006 sndirsch@suse.de
- use $RPM_OPT_FLAGS
* Tue Jul 25 2006 sndirsch@suse.de
- fixed build on non-i386 archs
* Mon Jul 24 2006 sndirsch@suse.de
- disabled vmmouse input driver on non-i386 archs
* Tue Jun 27 2006 sndirsch@suse.de
- created package
